# generated by cabal-rpm-0.13
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name xml-conduit
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        1.8.0.1
Release:        1%{?dist}
Summary:        XML parsing and rendering with conduit

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-xml-types-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
This package provides parsing and rendering functions for XML. It is
based on the datatypes found in the xml-types package. This package is
broken up into the following modules:

* Text.XML: DOM-based parsing and rendering.
  This is the most commonly used module.

* Text.XML.Cursor: A wrapper around Text.XML which allows bidirectional
  traversing of the DOM, similar to XPath. (Note: Text.XML.Cursor.Generic
  is the same concept, but will work with any node representation.)

* Text.XML.Unresolved: A slight modification  to Text.XML which does not
  require  all entities  to be  resolved at  parsing. The  datatypes are
  slightly  more complicated  here, and  therefore this  module is  only
  recommended when you need to deal directly with raw entities.

* Text.XML.Stream.Parse: Streaming parser, including some streaming
  parser combinators.

* Text.XML.Stream.Render: Streaming renderer.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md


%changelog
* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 1.8.0.1-1
- update to 1.8.0.1

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 1.8.0-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 1.8.0-1
- update to 1.8.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 06 2018 Adam Williamson <awilliam@redhat.com> - 1.7.0.1-3
- Rebuild for ghc-conduit-extra bump

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 1.7.0.1-1
- update to 1.7.0.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 1.4.0.4-1
- update to 1.4.0.4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 1.3.5-1
- update to 1.3.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 20 2015 Jens Petersen <petersen@redhat.com> - 1.3.2-1
- update to 1.3.2

* Fri Sep 18 2015 Jens Petersen <petersen@redhat.com> - 1.3.1-1
- update to 1.3.1

* Wed May 20 2015 Jens Petersen <petersen@redhat.com> - 1.2.6-1
- description

* Wed May 20 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.2.6
- spec file generated by cabal-rpm-0.9.5.50
